<?php

//*************************************************************
//
// Envoi d'emails
//
// Projet      : Chaton
// Version     : 1.5.3
// Date        : 30 avril 2006
//
//*************************************************************

    require_once( "inc/html.php");

    // define( "CURRENT_CHARSET", 'iso-8859-1');


//*************************************************************
// Transforme les caractres spciaux en caractres MIME
//*************************************************************

function caracteres_mime( $chaine) {
    return( str_replace( "%", "=", rawurlencode( html_entity_decode( $chaine, ENT_QUOTES))) );
}

function chaine_mime( $chaine) {
    return( "=?" . CHARSET . "?Q?" . caracteres_mime( $chaine) . "?=");
}


//*************************************************************
// Prparation et envoi d'un mail
//*************************************************************

function envoyer_mail( $expediteur, $destinataire, $sujet, $message) {

    $sujet = chaine_mime( $sujet);

    $lignes = explode( "\n", $message);
    $chaine_message = '';
    foreach( $lignes as $ligne) {
        $chaine_message .= caracteres_mime( trim( $ligne)) . "\n";
    }

    $headers = "From: $expediteur\r\n";
    $headers .= "X-Mailer: Chaton\r\n";
    $headers .= "Mime-Version: 1.0\r\n";
    $headers .= "Content-Type: text/plain; charset=\"" . CHARSET . "\"\r\n";
    $headers .= "Content-Transfer-Encoding: quoted-printable\r\n";

    if (function_exists('mail')) {
        return @mail( $destinataire, $sujet, $chaine_message, $headers);
    } else {
        return false;
    }
}

?>