<?php
//*************************************************************
//
// Emission d'une commande ou d'un message de CHAT
// Spcial ROBOTS
//
// Projet      : Chaton
// Version     : 1.6.1
// Date        : 8 novembre 2006
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/users.php");
    require_once( "inc/salons.php");
    require_once( "inc/menage.php");
    require_once( "inc/nocache.php");
    require_once( "inc/html.php");
    require_once( "inc/pub.php");
    require_once( "inc/censure.php");

//*************************************************************
//  Programme principal
//*************************************************************

    chat_open();

    if (isset($chat_cookie) and ChargeUtilisateur( $chat_cookie)) {

        // Langue du chat
        $lang = $chat_lang;
        require_once( "inc/langue.php");
        // Scurit contre le xss
        require_once( "inc/env.php");

        // Charge le module de langue associ au script courant
        if (file_exists( "lang/$chat_lang/edit.php")) {
            include( "lang/$chat_lang/edit.php");
        }

        // Initialisations
        $chat_numeromsg_gap = 0;
        $chat_appel = false;

        // Changement du defilement automatique
        if (isset( $chg_defilement)) {
            $chat_defilement = $chg_defilement;
            ChangeDefilement( $chat_uid, $chat_defilement);
        }

        if (isset( $message)) {
            if (isset( $chat_sid)) {
                if (!defined( "ARCHIVER_DISCUSSIONS") or (ARCHIVER_DISCUSSIONS == false)) {
                    // 10% de chances de nettoyer le salon
                    if (mt_rand( 0, 9) == 0) {
                        NettoyerSalon( $chat_sid);
                    }
                }
                // La page provient d'un post => Il faut ajouter le message dans la base de chat !
                if (!$to) $to = $langue_edit["toutlemonde"];
                if ($message <> "") {
                    $script = "";
                    // Traitement de quelques fonctions de base
                    if ($message[0] == "/") {
                        if ( strncasecmp( $message, "/menage", 7) == 0) {
                            // Je garde cette fonction de remise  plat de la base de donnes aux cas o des bugs subsisteraient
                            if ($chat_priv >= PRIV_ANIMATEUR) {
                                AnnoncePrivee( $chat_sid, $chat_login, 'Un ptit coup de balayette !');
                                Menage( $chat_base, $table_utilisateur);
                                GrandMenage();
                                // Nettoyage des images du salon
                                NettoyerImages();
                                // Nettoyage du journal ?
                                NettoyerJournal();
                            }

                        } else if ( (strncasecmp( $message, "/info", 5) == 0) or (strncasecmp( $message, "/version", 8) == 0) ) {
                            include_once( "inc/browser_detection.php");
                            $navigateur = browser_detection('full');
                            AnnoncePrivee( $chat_sid, $chat_login, "Serveur $chat_copy $chat_version - PHP " . phpversion() . " - MySQL " . floatval(mysql_get_server_info( $chat_base)) . " - Client " . $navigateur[0] . " " . $navigateur[1]);

                        } else {
                            // Commande inconnue
                            AnnoncePrivee( $chat_sid, $chat_login, "Commande inconnue");
                        }
                    } else {
                        // Ce n'est _pas_ une commande, simplement du texte !
    
                        // Retour de l'utilisateur ?
                        if ($chat_oqp <> "") {
                            $requete = mysql_query( "update $table_utilisateur set oqp='' where id='$chat_uid'");
                            $chat_oqp = '';
                        }
    
                        if (defined( "CENSURER") and (CENSURER == true)) {
                            // Transformation du message : censure
                            foreach( $mots_censures as $mot_censure => $mot_remplace) {
                                $message = eregi_replace( $mot_censure, $mot_remplace, $message);
                            }
                        }
    
                        // Enregistrement du message dans la base de donnees
                        if (!isset($prive)) $prive = false;
                        if (isset( $de)) {
                            $expediteur = GetUserName( $de, $chat_uid);
                            // Au cas ou !
                            if (!$expediteur) $expediteur = $chat_login;
                        } else {
                            $expediteur = $chat_login;
                        }
                        NouveauMessage( $chat_uid, $chat_sid, $expediteur, $dit, $to, $message, $prive, $chat_couleur);
    
                        // 1% de chances d'avoir un message aleatoire
                        if (mt_rand( 1, 100) == 1) {
                            $chaine_pub = PubliciteTournante();
                            if ($chaine_pub) {
                                AnnoncePublique( $chat_sid, $chaine_pub);
                            }
                        }
                    }
                    // Affiche les nouveaux messages dans le chat
                    $script .= Discussion( $chat_uid, $chat_login, $chat_sid, $chat_numeromsg_gap);
                }
            } else {
                // Erreur generale, le numero de salon n'existe pas :-(
                $script .= "La fenetre d'edition ne connait pas le salon auquel vous etes connecte, verifiez que votre navigateur accepte les cookies !";

                mysql_journal( $chat_base, "ERREUR: Numero de salon incorrect sur edit.php");
            }
        }

    } else {
        // Session non ouverte !

        mysql_journal( $chat_base, "ERREUR de privilege sur edit.php");
?>
Vous avez t dconnect de ce salon !
<?php
    }
    chat_close();

    if (isset($script)) echo( "<***>$script</***>");
?>