<?php
//*************************************************************
//
// Rcupration du mot de passe de l'utilisateur
//
// Projet      : Chaton
// Version     : 1.6.0
// Date        : 5 mai 2006
//
//*************************************************************

    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/langue.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/users.php");
    require_once( "inc/cryptage.php");
    require_once( "inc/html.php");
    require_once( "inc/email.php");
    require_once( "inc/nocache.php");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>R&eacute;cup&eacute;rer son mot de passe</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<link href="<?php echo( TEMPLATE_DIR . TEMPLATE . '/'); ?>css/style.css" rel="stylesheet" type="text/css">
</head>

<body>
<fieldset style="height: 250px;">
<legend>Mot de passe perdu</legend>
<table width="100%" height="90%" border="0" cellspacing="2" cellpadding="2">
<?php
    if (isset($email) and ($email)) {
        chat_open();
        $utilisateurs = InfosUtilisateursParEmail( $email);
        if (count($utilisateurs) > 0) {
            $message = "Bonjour,\n";
            $message .= "Vous nous avez demand l'mission de votre ou de vos mots de passe associs \n";
            $message .= "votre adresse email et nous vous les communiquons :\n\n";
            foreach( $utilisateurs as $utilisateur) {
                $message .= " Utilisateur : " . $utilisateur["prenom"] . " " . $utilisateur["nom"] . "\n";
                $message .= " Identifiant : " . $utilisateur["login"] . "\n";
                $message .= " Mot de passe : " . Decrypte( $utilisateur["mdp"]) . "\n\n";
            }
            $message .= "Nous vous souhaitons un agrable moment sur notre Chat en ligne.\n";

            if (envoyer_mail( "Webmestre Chaton <" . EMAIL_ADMINISTRATEUR . ">", $email, "Vos identifiants de Chat", $message)) {
?>
  <tr>
    <td>&nbsp;</td>
    <td>Un email vient de vous &ecirc;tre envoy&eacute;, il contient vos identifiants
      et mots de passe.<br>
      Merci. </td>
    <td>&nbsp;</td>
  </tr>
<?php
            } else {
?>
  <tr>
    <td>&nbsp;</td>
    <td><b>Suite &agrave; un probl&egrave;me technique, votre message ne vous a pas &eacute;t&eacute; d&eacute;livr&eacute;.</b><br>
      Veuillez r&eacute;essayer ult&eacute;rieurement. </td>
    <td>&nbsp;</td>
  </tr>
<?php
            }
        } else {
?>
  <tr>
    <td>&nbsp;</td>
    <td>Cette adresse email ne figure pas dans la base de donn&eacute;es.<br><br>
      <a href="pass.php">Veuillez recommencer</a>. </td>
    <td>&nbsp;</td>
  </tr>
<?php
        }
        chat_close();
    } else {
?>
  <tr>
    <td>&nbsp;</td>
    <td>Pour r&eacute;cup&eacute;rer votre mot de passe, vous devez avoir enregistr&eacute;
      une adresse de courrier &eacute;lectronique dans votre profil.<br> <br>
      Veuillez donner l'adresse e-mail avec laquelle vous vous &ecirc;tes enregistr&eacute;
      : </td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td align="center">
<form action="pass.php" method="post" name="formulaire" id="formulaire">
        <input name="email" type="text" id="email" size="30" maxlength="50">
        <input type="submit" value="Envoyer">
      </form></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>Votre mot de passe vous sera automatiquement envoy&eacute; &agrave; cette
      adresse. </td>
    <td>&nbsp;</td>
  </tr>
<?php
    }
?>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr align="right">
    <td colspan="3"><a href="javascript:window.close();">Fermer la fen&ecirc;tre</a></td>
  </tr>
</table>
</fieldset>
</body>
</html>