<?php
//*************************************************************
//
// - Affichage de la liste des utilisateurs
// - Affichage des nouveaux messages
//   sur le CHAT
//
//  Traduction : Ok
//
// Projet      : Chaton
// Version     : 1.6.3
// Date        : 8 avril 2007
//
//*************************************************************

    // Inclus du chat
    require_once( "inc/chat.php");
    require_once( "inc/securite.php");
    require_once( "inc/database.php");
    require_once( "inc/log.php");
    require_once( "inc/users.php");
    require_once( "inc/salons.php");
    require_once( "inc/menage.php");
    require_once( "inc/nocache.php");

    // Modle
    require_once( TEMPLATE_DIR . TEMPLATE . '/config.php');


//*************************************************************
//  Affichage d'un pseudo dans la liste
//*************************************************************

    function AffichePseudo( $chat_login, $cur_pseudo, $cur_robot, $cur_priv, $salle_courante, $cur_oqp, $cur_etat, $cur_proprietaire) {
        Global $chat_lang, $chat_priv, $langue_user;

        // Proprietaire de la salle courante, ou membre priv
        if (($cur_proprietaire) or ($cur_priv == PRIV_ANIMATEUR)) {
            $style = 'pseudo_anim';
        } elseif ($cur_priv == PRIV_OPERATEUR) {
            $style = 'pseudo_op';
        } elseif ($cur_priv == PRIV_ADMINISTRATEUR) {
            $style = 'pseudo_admin';
        } elseif ($cur_priv == PRIV_NON_ENREGISTRE) {
            $style = 'pseudo';
        } else {
            $style = 'pseudo_inscrit';
        }

        if ($cur_oqp == 1) {
            $image = "petit_oqp";
            $chaine_pseudo = "<strike>$cur_pseudo</strike>";
            $alt = " alt=\"" . $langue_user["absent"] . "\" title=\"" . $langue_user["absent"] . "\"";
        } elseif ($cur_oqp <> "") {
            $image = "petit_oqp";
            $chaine_pseudo = "<strike>$cur_pseudo</strike>";
            $alt = " alt=\"$cur_oqp\" title=\"$cur_oqp\"";
        } else {
            $image = "m$cur_etat";
            $alt = "";
            if (($cur_robot == true) and ($chat_priv >= PRIV_OPERATEUR)) {
                if ($salle_courante == 0) {
                    $chaine_pseudo = "<b><i>$cur_pseudo</i></b>";
                } else {
                    $chaine_pseudo = "<a href='user.php' class='$style' OnClick='javascript:parent.pseudo(\"$cur_pseudo\");'><b><i>$cur_pseudo</i></b></a>";
                }
            } elseif (($cur_pseudo == $chat_login) or ($salle_courante == 0)) {
                $chaine_pseudo = $cur_pseudo;
            } else {
                $chaine_pseudo = "<a href='user.php' class='$style' OnClick='javascript:parent.pseudo(\"$cur_pseudo\");'>$cur_pseudo</a>";
            }
        }

        // Affichage
        echo( "<tr>");
        echo( "<td width=20>&nbsp;<a href='user.php' OnClick='JavaScript:parent.popup_whois(\"$chat_lang\",\"$cur_pseudo\");'><img src=smilies/$image.gif width=15 height=15 border=0$alt></a></td>");
        echo( "<td class=\"$style\" nowrap>&nbsp;$chaine_pseudo</td></tr>\n");
    }

//*************************************************************
//  Programme principal
//*************************************************************

    chat_open();

    // 10% de chances de faire le menach'
    if (mt_rand( 0, 9) == 0) {
        Menage( $chat_base, $table_utilisateur);
    }

    if (isset($chat_cookie) and ChargeUtilisateur( $chat_cookie)) {

        // Rafraichissement
        if ($chat_flags & FLAG_REFRESH_USER == FLAG_REFRESH_USER) Header( "Refresh: $taux_rafraichissement");

        // Langue du chat
        $lang = $chat_lang;
        require_once( "inc/langue.php");

        // Initialisations
        $chat_appel = false;

        // Charge le module de langue associ au script courant
        if (file_exists( "lang/$chat_lang/user.php")) {
            include( "lang/$chat_lang/user.php");
        }

        // Changement du mode d'affichage
        if (isset( $mode)) {
            $chat_modeuser = $mode;
            ChangeModeUser( $chat_uid, $chat_modeuser);
        }

        // Utilisateur actif ?
        if ($chat_deconnexion) {
            $actif = false;
        } else {
            $actif = true;
        }

        // Salon actif ?
        $requete = mysql_query( "SELECT id FROM $table_salle WHERE id='$chat_sid'");
        if ($requete) {
            if (mysql_num_rows( $requete) < 1) {
                $actif = false;
            }
        }

        if ($actif) {

            // 1% de chances de vider les anciennes images du salon
            if (mt_rand( 0, 99) == 0) {
                NettoyerImages();
            }

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<!-- <?php echo( "$chat_copy $chat_version"); ?> Copyright GoUaRfIg! -->
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<style TYPE="text/css">
<!--
<?php
    $fichier = @fopen( TEMPLATE_DIR . TEMPLATE . '/css/style_user.css', 'r');
    if ($fichier) {
        $buffer = fread( $fichier, 4096);
        echo $buffer;
        fclose( $fichier);
    }
?>
-->
</style>

</head>

<script type="text/javascript" language="JavaScript">
<?php
    if ($chat_flags & FLAG_REFRESH_USER == FLAG_REFRESH_USER) {
        $chaine_discussion = Discussion( $chat_uid, $chat_login, $chat_sid);
        if ($chaine_discussion != '') echo( "parent.afficher( \"$chaine_discussion\\n\");\n");
        if ($chat_defilement) echo( "parent.mainFrame.scrollBy( 0, 2000);\n");
    }
?>
</script>

<body>
<table width="<?php echo( $chat_model['LARGEUR_BANDEAU_GAUCHE']); ?>" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
<?php
    if (file_exists( TEMPLATE_DIR . TEMPLATE . "/header.php")) {
?>
  <tr><td valign="top" height="<?php echo( $chat_model['HAUTEUR_BANDEAU_HAUT']); ?>">
<?php
    include( TEMPLATE_DIR . TEMPLATE . "/header.php");
?>
  </td></tr>
<?php
    }
?>
  <tr><td valign="top">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center" class="titre"><?php echo( $langue_user["liste"]); ?></td>
      </tr>
    </table>
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
<?php
            if ($chat_modeuser == 1) {
                // Affichage de la liste complte des salles actives
                if (defined( "AUTORISER_PLUSIEURS_SALONS") and (AUTORISER_PLUSIEURS_SALONS == true)) {
                    echo( "<tr><td align=\"center\" colspan=\"2\" class=\"info\"><a href=\"user.php?mode=0\" class=\"info\">" . $langue_user["dusalon"] . "</a> | " . $langue_user["tous"] . "</td></tr>\n");
                }

                $requete = mysql_query( "SELECT $table_utilisateur.login,$table_utilisateur.robot,$table_utilisateur.priv,$table_utilisateur.oqp,$table_utilisateur.etat,$table_utilisateur.proprietaire,$table_utilisateur.sid,$table_salle.nom as salle,$table_salle.nombre,$table_salle.max,$table_salle.mdp FROM $table_utilisateur,$table_salle WHERE $table_utilisateur.sid=$table_salle.id AND $table_utilisateur.hide='0' ORDER BY salle,login");
                if ($requete) {
                    $ancienne_salle = '';
                    $salle_courante = 0;
                    while( $ligne_pseudo = mysql_fetch_array( $requete) ) {
                        if ($ligne_pseudo['proprietaire'] == $ligne_pseudo['sid']) {
                            $cur_proprietaire = true;
                        } else {
                            $cur_proprietaire = false;
                        }
                        if ($ancienne_salle <> $ligne_pseudo['salle']) {
                            // Affichage de la salle
                            $ancienne_salle = $ligne_pseudo['salle'];
                            $nomsalle = NomSalonPublic( $ligne_pseudo['salle']);
                            if ($nomsalle == '') $nomsalle = $ligne_pseudo['salle'];

                            if ($ligne_pseudo['max'] < MAX_SALON) {
                                $chaine_maxsalle = "/" . $ligne_pseudo['max'];
                            } else {
                                $chaine_maxsalle = "";
                            }

                            if ($ligne_pseudo['salle'] == $chat_salon) {
                                echo( "<tr><td colspan=\"2\">&nbsp;</td></tr>\n<tr><td colspan=\"2\" class=\"salle\" nowrap>&nbsp;<b>$nomsalle</b> ({$ligne_pseudo['nombre']}$chaine_maxsalle)<hr></td></tr>\n");
                                $salle_courante = 1;
                            } else {
                                if ($ligne_pseudo['mdp']) {
                                    echo( "<tr><td colspan=\"2\">&nbsp;</td></tr>\n<tr><td colspan=\"2\" class=\"salle\" nowrap>&nbsp;<b>$nomsalle</b> ({$langue_user['prive']})<hr></td></tr>\n");
                                } else {
                                    echo( "<tr><td colspan=\"2\">&nbsp;</td></tr>\n<tr><td colspan=\"2\" class=\"salle\" nowrap>&nbsp;<a href=\"deplacer.php?newsalon=" . urlencode( $ligne_pseudo['salle']) . "\" class=\"salle\"><b>$nomsalle</b></a> ({$ligne_pseudo['nombre']}$chaine_maxsalle)<hr></td></tr>\n");
                                }
                                $salle_courante = 0;
                            }
                        }
                        AffichePseudo( $chat_login, $ligne_pseudo['login'], $ligne_pseudo['robot'], $ligne_pseudo['priv'], 
                                       $salle_courante, $ligne_pseudo['oqp'], $ligne_pseudo['etat'], $cur_proprietaire);
                    }
                }

                // Salles vides
                if (defined('AFFICHER_SALLES_VIDES') and (AFFICHER_SALLES_VIDES == true)) {
                    $requete = mysql_query( "SELECT nom,nombre,max,mdp from $table_salle WHERE nombre='0' ORDER BY nom");
                    if ($requete) {
                        while( $ligne_salle = mysql_fetch_array( $requete) ) {
                            $nomsalle = NomSalonPublic( $ligne_salle['nom']);
                            if ($nomsalle == '') $nomsalle = $ligne_salle['nom'];

                            if ($ligne_salle['max'] < MAX_SALON) {
                                $chaine_maxsalle = "/" . $ligne_salle['max'];
                            } else {
                                $chaine_maxsalle = "";
                            }

                            if ( $ligne_salle['mdp']) {
                                echo( "<tr><td colspan=\"2\">&nbsp;</td></tr>\n<tr><td colspan=\"2\" class=\"salle\" nowrap>&nbsp;<b>$nomsalle</b> ({$langue_user['prive']})<hr></td></tr>\n");
                            } else {
                                echo( "<tr><td colspan=\"2\">&nbsp;</td></tr>\n<tr><td colspan=\"2\" class=\"salle\" nowrap>&nbsp;<a href=\"deplacer.php?newsalon=" . urlencode( $ligne_salle['nom']) . "\" class=\"salle\"><b>$nomsalle</b></a> (0$chaine_maxsalle)<hr></td></tr>\n");
                            }
                        }
                    }
                }

            } else {
                // Utilisateurs du salon courant
                if (defined( "AUTORISER_PLUSIEURS_SALONS") and (AUTORISER_PLUSIEURS_SALONS == true)) {
                    echo( "<tr><td align=\"center\" colspan=\"2\" class=\"info\">" . $langue_user["dusalon"] . " | <a href=\"user.php?mode=1\" class=\"info\">" . $langue_user["tous"] . "</a></td></tr>\n");
                }
                echo( "<tr><td colspan=\"2\">&nbsp;</td></tr>\n");

                $requete = mysql_query( "SELECT login,robot,priv,oqp,etat,proprietaire FROM $table_utilisateur WHERE sid='$chat_sid' AND hide='0' ORDER BY login");
                if ($requete) {
                    while( $ligne_pseudo = mysql_fetch_array( $requete) ) {
                        if ($ligne_pseudo['proprietaire'] == $chat_sid) {
                            $cur_proprietaire = true;
                        } else {
                            $cur_proprietaire = false;
                        }
                        AffichePseudo( $chat_login, $ligne_pseudo['login'], $ligne_pseudo['robot'], $ligne_pseudo['priv'], True, 
                                       $ligne_pseudo['oqp'], $ligne_pseudo['etat'], $cur_proprietaire);
                    }
                }
            }
?>
    </table>
    <?php if ($chat_appel) echo( USER_APPEL); ?>
  </td></tr>
  <tr><td valign="bottom" height="<?php echo( $chat_model['HAUTEUR_BANDEAU_BAS']); ?>">
<?php
    if (file_exists( TEMPLATE_DIR . TEMPLATE . "/footer.php")) include( TEMPLATE_DIR . TEMPLATE . "/footer.php");
?>
  </td></tr>
</table>
</body>
</html>
<?php
        } else {
            // Utilisateur non reference :-(
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<!-- <?php echo( "$chat_copy $chat_version"); ?> Copyright GoUaRfIg! -->
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
</head>
<body OnLoad='javascript:parent.document.location.href="sortie.php"'>
</body>
</html>
<?php
        }
    } else {
        // Base de donnees impossible a ouvrir
        require_once( "inc/langue.php");

        // Charge le module de langue associ au script courant
        if (file_exists( "lang/$lang/user.php")) {
            include( "lang/$lang/user.php");
        }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<!-- <?php echo( "$chat_copy $chat_version"); ?> Copyright GoUaRfIg! -->
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo( CHARSET); ?>">
<style TYPE="text/css">
<!--
<?php
    $fichier = @fopen( TEMPLATE_DIR . TEMPLATE . '/css/style_user.css', 'r');
    if ($fichier) {
        $buffer = fread( $fichier, 4096);
        echo $buffer;
        fclose( $fichier);
    }
?>
-->
</style>
</head>
<body>
<br>
<?php echo( $langue_user["database_error"]); ?>
<br>
</body>
</html>
<?php
    }
    chat_close();

?>
